function [ Dphis ] = fct_calc_Dphi_refs( theta )
%FCT_CALC_PHI_REFS Calculates the reference values of dphi for links 2-5
%   Detailed explanation goes here

% global theta_e theta_b
% global Coeff

% theta_diff = theta_e - theta_b;
% theta_progress = theta(1) - theta_b;
% theta_01 = theta_progress/theta_diff;

Dphi_ref_2 = dphi(theta(1),2).*theta(2);%outputDiffOfBezier( Coeff(2,1), Coeff(2,2), Coeff(2,3), theta_01 )*theta(2)
Dphi_ref_3 = dphi(theta(1),3).*theta(2);%outputDiffOfBezier( Coeff(3,1), Coeff(3,2), Coeff(3,3), theta_01 )*theta(2);
Dphi_ref_4 = dphi(theta(1),4).*theta(2);%outputDiffOfBezier( Coeff(4,1), Coeff(4,2), Coeff(4,3), theta_01 )*theta(2);
Dphi_ref_5 = dphi(theta(1),5).*theta(2);%outputDiffOfBezier( Coeff(5,1), Coeff(5,2), Coeff(5,3), theta_01 )*theta(2);

Dphis = [Dphi_ref_2 Dphi_ref_3 Dphi_ref_4 Dphi_ref_5];

end

