function Iout = integral_func( states )
tic;
global theta_0 dtheta_0
    
%     disp(states)
    
    theta = states(1);
    dtheta = states(6);

    tol=1e-4;
    
    first_term = quad(@fun1, theta_0, theta, tol);

    second_term = quad(@fun2, theta_0, theta, tol);

    % Since cycle begins with zero velocity this expression is shortened
    Iout = dtheta^2 - exp( -2*first_term ) .* dtheta_0^2 ...
            +exp( -2*first_term ) .* second_term ;
toc;

end
