function y = fct_reduced_dynamics_current_config( theta )
%FCT_REDUCED_DYNAMICS Summary of this function goes here
%   theta(1) = theta, theta(2) = Dtheta
%   theta(3-6) = phi(2-5)

abg_inputs = [theta(1) theta(3) theta(4) theta(5) theta(6)];

Dtheta = theta(2);
DDtheta = ( -gama_current_config(abg_inputs) - beta_current_config(abg_inputs).*Dtheta.^2 ) ./ alpha_current_config(abg_inputs);

y = DDtheta;

end

