load optimal_states_455.mat
load optimal_ddheta_455.mat
global Coeff degree
global theta_b theta_e
global l m s I
global m1 m2 m3 m4 m5 s1 s2 s3 s4 s5 L1 L2 L3 L4 L5 I1 I2 I3 I4 I5 g

degree = 2;
[g,L1,L2,L3,m1,m2,m3,I1,I2,I3,s1,s2,s3] = modelParameters();
L4 = L2; L5 = L1; m4 = m2; m5 = m1; I4 = I2; I5 = I1; s4 = s2; s5 = s1;
I = [I1 I2 I3 I4 I5];
s = [s1 s2 s3 s4 s5];
m = [m1 m2 m3 m4 m5];
l = [L1 L2 L3 L4 L5];


theta_b = 2.2;
theta_e = 2.7;

Coeff =[0         0         0;
        -1.3000   -1.4994   -1.2045;
        -0.9000   -0.7498   -0.7525;
        -0.9000   -0.7532   -0.7012;
        -1.3000   -1.5076   -1.7315];
    
theta_minus1 = state_vect1(size(state_vect1,1),1);
dtheta_minus1 = state_vect1(size(state_vect1,1),6);
ddtheta_minus1 = DDtheta_optim(size(state_vect1,1));

theta_pluss1 = state_vect2(1,1);
dtheta_pluss1 = state_vect2(1,6);
ddtheta_pluss1 = DDtheta_optim(size(state_vect1,1)+1);

states_switch_m1 = state_vect1(size(state_vect1,1),:);
states_switch_p1 = state_vect2(1,:);

%n_minus = [qdot qddot]
n_minus1 = [dtheta_minus1 state_vect1(size(state_vect1,1),7) state_vect1(size(state_vect1,1),8) state_vect1(size(state_vect1,1),9) state_vect1(size(state_vect1,1),10) ...
            ddtheta_minus1 ...
            ddphi(theta_minus1,2).*dtheta_minus1^2 + dphi(theta_minus1,2).*ddtheta_minus1 ...
            ddphi(theta_minus1,3).*dtheta_minus1^2 + dphi(theta_minus1,3).*ddtheta_minus1 ...
            ddphi(theta_minus1,4).*dtheta_minus1^2 + dphi(theta_minus1,4).*ddtheta_minus1 ...
            ddphi(theta_minus1,5).*dtheta_minus1^2 + dphi(theta_minus1,5).*ddtheta_minus1];
% GAMMAminus1 = Dq1;
m_1 = [0 0 0 0 0 1 0 0 0 0];

E1_m = [-2*ddtheta_minus1 0 0 0 0 2*dtheta_minus1 0 0 0 0;
    -dphi(theta_minus1,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_minus1,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_minus1,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_minus1,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_minus1,2)*dtheta_minus1 0 0 0 0 -dphi(theta_minus1,2) 1 0 0 0;
    -ddphi(theta_minus1,3)*dtheta_minus1 0 0 0 0 -dphi(theta_minus1,3) 0 1 0 0;
    -ddphi(theta_minus1,4)*dtheta_minus1 0 0 0 0 -dphi(theta_minus1,4) 0 0 1 0;
    -ddphi(theta_minus1,5)*dtheta_minus1 0 0 0 0 -dphi(theta_minus1,5) 0 0 0 1;];

Coeff =[0         0         0;
        -1.3801   -1.3801   -1.5500;
        -0.8088   -0.8088   -0.5500;
        -0.8032   -0.8032   -0.7500;
        -1.4581   -1.4581   -1.6100];
theta_b = 2.3876;
theta_e = 2.1;

E2_p = [-2*ddtheta_pluss1 0 0 0 0 2*dtheta_pluss1 0 0 0 0;
    -dphi(theta_pluss1,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_pluss1,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_pluss1,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_pluss1,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_pluss1,2)*dtheta_pluss1 0 0 0 0 -dphi(theta_pluss1,2) 1 0 0 0;
    -ddphi(theta_pluss1,3)*dtheta_pluss1 0 0 0 0 -dphi(theta_pluss1,3) 0 1 0 0;
    -ddphi(theta_pluss1,4)*dtheta_pluss1 0 0 0 0 -dphi(theta_pluss1,4) 0 0 1 0;
    -ddphi(theta_pluss1,5)*dtheta_pluss1 0 0 0 0 -dphi(theta_pluss1,5) 0 0 0 1;];

n_pluss1 = [dtheta_pluss1 state_vect2(1,7) state_vect2(1,8) state_vect2(1,9) state_vect2(1,10) ...
            ddtheta_pluss1 ...
            ddphi(theta_pluss1,2).*dtheta_pluss1^2 + dphi(theta_pluss1,2).*ddtheta_pluss1 ...
            ddphi(theta_pluss1,3).*dtheta_pluss1^2 + dphi(theta_pluss1,3).*ddtheta_pluss1 ...
            ddphi(theta_pluss1,4).*dtheta_pluss1^2 + dphi(theta_pluss1,4).*ddtheta_pluss1 ...
            ddphi(theta_pluss1,5).*dtheta_pluss1^2 + dphi(theta_pluss1,5).*ddtheta_pluss1];
%%      
theta_minus2 = state_vect2(size(state_vect2,1),1);
dtheta_minus2 = state_vect2(size(state_vect2,1),6);
ddtheta_minus2 = DDtheta_optim(size(state_vect1,1)+size(state_vect2,1));

theta_pluss2 = state_vect3(1,1);
dtheta_pluss2 = state_vect3(1,6);
ddtheta_pluss2 = DDtheta_optim(size(state_vect1,1)+size(state_vect2,1)+1);

states_switch_m2 = state_vect2(size(state_vect2,1),:);
states_switch_p2 = state_vect3(1,:);

n_minus2 = [dtheta_minus2 ...
            state_vect2(size(state_vect2,1),7) ...
            state_vect2(size(state_vect2,1),8) ...
            state_vect2(size(state_vect2,1),9) ... 
            state_vect2(size(state_vect2,1),10) ...
            ddtheta_minus2 ...
            ddphi(theta_minus2,2).*dtheta_minus2^2 + dphi(theta_minus2,2).*ddtheta_minus2 ...
            ddphi(theta_minus2,3).*dtheta_minus2^2 + dphi(theta_minus2,3).*ddtheta_minus2 ...
            ddphi(theta_minus2,4).*dtheta_minus2^2 + dphi(theta_minus2,4).*ddtheta_minus2 ...
            ddphi(theta_minus2,5).*dtheta_minus2^2 + dphi(theta_minus2,5).*ddtheta_minus2];
      
E2_m = [-2*ddtheta_minus2 0 0 0 0 2*dtheta_minus2 0 0 0 0;
    -dphi(theta_minus2,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_minus2,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_minus2,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_minus2,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_minus2,2)*dtheta_minus2 0 0 0 0 -dphi(theta_minus2,2) 1 0 0 0;
    -ddphi(theta_minus2,3)*dtheta_minus2 0 0 0 0 -dphi(theta_minus2,3) 0 1 0 0;
    -ddphi(theta_minus2,4)*dtheta_minus2 0 0 0 0 -dphi(theta_minus2,4) 0 0 1 0;
    -ddphi(theta_minus2,5)*dtheta_minus2 0 0 0 0 -dphi(theta_minus2,5) 0 0 0 1;];

Coeff =[0         0         0;
        1.6100    1.8851    1.6801;
        0.7500    0.6567    0.5104;
        0.5500    0.4123    0.5000;
        1.5500    3.5925    0.3008];
theta_b = 0.7816;
theta_e = 0;

E3_p = [-2*ddtheta_pluss2 0 0 0 0 2*dtheta_pluss2 0 0 0 0;
    -dphi(theta_pluss2,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_pluss2,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_pluss2,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_pluss2,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_pluss2,2)*dtheta_pluss2 0 0 0 0 -dphi(theta_pluss2,2) 1 0 0 0;
    -ddphi(theta_pluss2,3)*dtheta_pluss2 0 0 0 0 -dphi(theta_pluss2,3) 0 1 0 0;
    -ddphi(theta_pluss2,4)*dtheta_pluss2 0 0 0 0 -dphi(theta_pluss2,4) 0 0 1 0;
    -ddphi(theta_pluss2,5)*dtheta_pluss2 0 0 0 0 -dphi(theta_pluss2,5) 0 0 0 1;];

n_pluss2 = [dtheta_pluss2 ...
            state_vect3(1,7) ...
            state_vect3(1,8) ...
            state_vect3(1,9) ...
            state_vect3(1,10) ...
            ddtheta_pluss2 ...
            ddphi(theta_pluss2,2).*dtheta_pluss2^2 + dphi(theta_pluss2,2).*ddtheta_pluss2 ...
            ddphi(theta_pluss2,3).*dtheta_pluss2^2 + dphi(theta_pluss2,3).*ddtheta_pluss2 ...
            ddphi(theta_pluss2,4).*dtheta_pluss2^2 + dphi(theta_pluss2,4).*ddtheta_pluss2 ...
            ddphi(theta_pluss2,5).*dtheta_pluss2^2 + dphi(theta_pluss2,5).*ddtheta_pluss2];
% GAMMAminus2 = l(1)*sin(q(1)) + l(2)*sin(q(1)+q(2)) + l(3)*sin(q(1)+q(2)+q(3)) + l(4)*sin(q(1)+q(2)+q(3)+q(4)) + l(5)*sin(q(1)+q(2)+q(3)+q(4)+q(5));
q = states_switch_m2(1:5);
m_2 = [l(1)*cos(q(1)) + l(2)*cos(q(1)+q(2)) + l(3)*cos(q(1)+q(2)+q(3)) + l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(2)*cos(q(1)+q(2)) + l(3)*cos(q(1)+q(2)+q(3)) + l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(3)*cos(q(1)+q(2)+q(3)) + l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        0 0 0 0 0 ];
    
    
%%
theta_minus3 = state_vect3(size(state_vect3,1),1);
dtheta_minus3 = state_vect3(size(state_vect3,1),6);
ddtheta_minus3 = DDtheta_optim(size(state_vect1,1)+size(state_vect2,1)+size(state_vect3,1));

theta_pluss3 = state_vect4(1,1);
dtheta_pluss3 = state_vect4(1,6);
ddtheta_pluss3 = DDtheta_optim(size(state_vect1,1)+size(state_vect2,1)+size(state_vect3,1)+1);

states_switch_m3 = state_vect3(size(state_vect3,1),:);
states_switch_p3 = state_vect4(1,:);

%n_minus = [qdot qddot]
n_minus3 = [dtheta_minus3 state_vect3(size(state_vect3,1),7) state_vect3(size(state_vect3,1),8) state_vect3(size(state_vect3,1),9) state_vect3(size(state_vect3,1),10) ...
            ddtheta_minus3 ...
            ddphi(theta_minus3,2).*dtheta_minus3^2 + dphi(theta_minus3,2).*ddtheta_minus3 ...
            ddphi(theta_minus3,3).*dtheta_minus3^2 + dphi(theta_minus3,3).*ddtheta_minus3 ...
            ddphi(theta_minus3,4).*dtheta_minus3^2 + dphi(theta_minus3,4).*ddtheta_minus3 ...
            ddphi(theta_minus3,5).*dtheta_minus3^2 + dphi(theta_minus3,5).*ddtheta_minus3];
% GAMMAminus1 = Dq1;
m_3 = [0 0 0 0 0 1 0 0 0 0];

E3_m = [-2*ddtheta_minus3 0 0 0 0 2*dtheta_minus3 0 0 0 0;
    -dphi(theta_minus3,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_minus3,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_minus3,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_minus3,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_minus3,2)*dtheta_minus3 0 0 0 0 -dphi(theta_minus3,2) 1 0 0 0;
    -ddphi(theta_minus3,3)*dtheta_minus3 0 0 0 0 -dphi(theta_minus3,3) 0 1 0 0;
    -ddphi(theta_minus3,4)*dtheta_minus3 0 0 0 0 -dphi(theta_minus3,4) 0 0 1 0;
    -ddphi(theta_minus3,5)*dtheta_minus3 0 0 0 0 -dphi(theta_minus3,5) 0 0 0 1;];

Coeff =[0         0         0
        1.7612    1.7612    1.3000
        0.5964    0.5964    0.9000
        0.4672    0.4672    0.9000
        1.8338    1.8338    1.3000];
theta_b =  0.2434;
theta_e =  0.9416;

E4_p = [-2*ddtheta_pluss3 0 0 0 0 2*dtheta_pluss3 0 0 0 0;
    -dphi(theta_pluss3,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_pluss3,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_pluss3,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_pluss3,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_pluss3,2)*dtheta_pluss3 0 0 0 0 -dphi(theta_pluss3,2) 1 0 0 0;
    -ddphi(theta_pluss3,3)*dtheta_pluss3 0 0 0 0 -dphi(theta_pluss3,3) 0 1 0 0;
    -ddphi(theta_pluss3,4)*dtheta_pluss3 0 0 0 0 -dphi(theta_pluss3,4) 0 0 1 0;
    -ddphi(theta_pluss3,5)*dtheta_pluss3 0 0 0 0 -dphi(theta_pluss3,5) 0 0 0 1;];

n_pluss3 = [dtheta_pluss3 state_vect4(1,7) state_vect4(1,8) state_vect4(1,9) state_vect4(1,10) ...
            ddtheta_pluss3 ...
            ddphi(theta_pluss3,2).*dtheta_pluss3^2 + dphi(theta_pluss3,2).*ddtheta_pluss3 ...
            ddphi(theta_pluss3,3).*dtheta_pluss3^2 + dphi(theta_pluss3,3).*ddtheta_pluss3 ...
            ddphi(theta_pluss3,4).*dtheta_pluss3^2 + dphi(theta_pluss3,4).*ddtheta_pluss3 ...
            ddphi(theta_pluss3,5).*dtheta_pluss3^2 + dphi(theta_pluss3,5).*ddtheta_pluss3];
%%
theta_minus4 = state_vect4(size(state_vect4,1),1);
dtheta_minus4 = state_vect4(size(state_vect4,1),6);
ddtheta_minus4 = DDtheta_optim(size(state_vect1,1)+size(state_vect2,1)+size(state_vect3,1)+size(state_vect4,1));

theta_pluss4 = state_vect1(1,1);
dtheta_pluss4 = state_vect1(1,6);
ddtheta_pluss4 = DDtheta_optim(1);

states_switch_m4 = state_vect4(size(state_vect4,1),:);
states_switch_p4 = state_vect1(1,:);

n_minus4 = [dtheta_minus4 ...
            state_vect4(size(state_vect4,1),7) ...
            state_vect4(size(state_vect4,1),8) ... 
            state_vect4(size(state_vect4,1),9) ... 
            state_vect4(size(state_vect4,1),10) ...
            ddtheta_minus4 ...
            ddphi(theta_minus4,2).*dtheta_minus4^2 + dphi(theta_minus4,2).*ddtheta_minus4 ...
            ddphi(theta_minus4,3).*dtheta_minus4^2 + dphi(theta_minus4,3).*ddtheta_minus4 ...
            ddphi(theta_minus4,4).*dtheta_minus4^2 + dphi(theta_minus4,4).*ddtheta_minus4 ...
            ddphi(theta_minus4,5).*dtheta_minus4^2 + dphi(theta_minus4,5).*ddtheta_minus4];
        
E4_m = [-2*ddtheta_minus4 0 0 0 0 2*dtheta_minus4 0 0 0 0;
    -dphi(theta_minus4,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_minus4,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_minus4,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_minus4,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_minus4,2)*dtheta_minus4 0 0 0 0 -dphi(theta_minus4,2) 1 0 0 0;
    -ddphi(theta_minus4,3)*dtheta_minus4 0 0 0 0 -dphi(theta_minus4,3) 0 1 0 0;
    -ddphi(theta_minus4,4)*dtheta_minus4 0 0 0 0 -dphi(theta_minus4,4) 0 0 1 0;
    -ddphi(theta_minus4,5)*dtheta_minus4 0 0 0 0 -dphi(theta_minus4,5) 0 0 0 1;];
      
theta_b = 2.2;
theta_e = 2.7;
Coeff =[0         0         0;
        -1.3000   -1.4994   -1.2045;
        -0.9000   -0.7498   -0.7525;
        -0.9000   -0.7532   -0.7012;
        -1.3000   -1.5076   -1.7315];
    
E1_p = [-2*ddtheta_pluss4 0 0 0 0 2*dtheta_pluss4 0 0 0 0;
    -dphi(theta_pluss4,2) 1 0 0 0 0 0 0 0 0;
    -dphi(theta_pluss4,3) 0 1 0 0 0 0 0 0 0;
    -dphi(theta_pluss4,4) 0 0 1 0 0 0 0 0 0;
    -dphi(theta_pluss4,5) 0 0 0 1 0 0 0 0 0;
    -ddphi(theta_pluss4,2)*dtheta_pluss4 0 0 0 0 -dphi(theta_pluss4,2) 1 0 0 0;
    -ddphi(theta_pluss4,3)*dtheta_pluss4 0 0 0 0 -dphi(theta_pluss4,3) 0 1 0 0;
    -ddphi(theta_pluss4,4)*dtheta_pluss4 0 0 0 0 -dphi(theta_pluss4,4) 0 0 1 0;
    -ddphi(theta_pluss4,5)*dtheta_pluss4 0 0 0 0 -dphi(theta_pluss4,5) 0 0 0 1;];

n_pluss4 = [dtheta_pluss4 ...
            state_vect1(1,7) ...
            state_vect1(1,8) ...
            state_vect1(1,9) ...
            state_vect1(1,10) ...
            ddtheta_pluss4 ...
            ddphi(theta_pluss4,2).*dtheta_pluss4^2 + dphi(theta_pluss4,2).*ddtheta_pluss4 ...
            ddphi(theta_pluss4,3).*dtheta_pluss4^2 + dphi(theta_pluss4,3).*ddtheta_pluss4 ...
            ddphi(theta_pluss4,4).*dtheta_pluss4^2 + dphi(theta_pluss4,4).*ddtheta_pluss4 ...
            ddphi(theta_pluss4,5).*dtheta_pluss4^2 + dphi(theta_pluss4,5).*ddtheta_pluss4];
% GAMMAminus4 = l(1)*sin(q(1)) + l(2)*sin(q(1)+q(2)) + l(3)*sin(q(1)+q(2)+q(3)) + l(4)*sin(q(1)+q(2)+q(3)+q(4)) + l(5)*sin(q(1)+q(2)+q(3)+q(4)+q(5));
q = states_switch_m4(1:5);
m_4 = [l(1)*cos(q(1)) + l(2)*cos(q(1)+q(2)) + l(3)*cos(q(1)+q(2)+q(3)) + l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(2)*cos(q(1)+q(2)) + l(3)*cos(q(1)+q(2)+q(3)) + l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(3)*cos(q(1)+q(2)+q(3)) + l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(4)*cos(q(1)+q(2)+q(3)+q(4)) + l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        l(5)*cos(q(1)+q(2)+q(3)+q(4)+q(5)) ...
        0 0 0 0 0 ];

%%

%%%%%%%%%%%%%%%%%%%%%%%%%%
EandN1m = [E1_m;
            n_minus1];
        
proj_minus1 = (eye(10) - (n_minus1' * m_1)/(n_minus1 * m_1')) * inv(EandN1m) * [eye(9);zeros(1,9)];
% deltax_minus = proj_minus1*(zeros(9,1)+0.02);
proj_plus1 = E2_p * ((eye(10) - (n_pluss1' * n_pluss1)/(n_pluss1 * n_pluss1')));

L_map1 = proj_plus1 * proj_minus1;

%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%
EandN2m = [E2_m;
            n_minus2];
        
proj_minus2 = (eye(10) - (n_minus2' * m_2)/(n_minus2 * m_2')) * inv(EandN2m) * [eye(9);zeros(1,9)];
% relabel = x......;

[H1, H2] = impact_velocities(state_vect2(size(state_vect2,1), 1), state_vect2(size(state_vect2,1), 2), state_vect2(size(state_vect2,1), 3), state_vect2(size(state_vect2,1), 4), state_vect2(size(state_vect2,1), 5));
vels =(H1 \ H2 );% * state_vect2(size(state_vect2,1), 6:10)';

dF = [1 1 1 1 1 0 0 0 0 0;
       0 0 0 0 -1 0 0 0 0 0;
       0 0 0 -1 0 0 0 0 0 0;
       0 0 -1 0 0 0 0 0 0 0;
       0 -1 0 0 0 0 0 0 0 0;
       0 0 0 0 0 sum(vels(:,1)) sum(vels(:,2)) sum(vels(:,3)) sum(vels(:,4)) sum(vels(:,5));
       0 0 0 0 0 -vels(5,1) -vels(5,2) -vels(5,3) -vels(5,4) -vels(5,5);
       0 0 0 0 0 -vels(4,1) -vels(4,2) -vels(4,3) -vels(4,4) -vels(4,5);
       0 0 0 0 0 -vels(3,1) -vels(3,2) -vels(3,3) -vels(3,4) -vels(3,5);
       0 0 0 0 0 -vels(2,1) -vels(2,2) -vels(2,3) -vels(2,4) -vels(2,5)] ;
proj_plus2 = E3_p * ((eye(10) - (n_pluss2' * n_pluss2)/(n_pluss2 * n_pluss2')));

L_map2 = proj_plus2 * dF * proj_minus2;

%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%
EandN3m = [E3_m;
            n_minus3];
        
proj_minus3 = (eye(10) - (n_minus3' * m_3)/(n_minus3 * m_3')) * inv(EandN3m) * [eye(9);zeros(1,9)];
proj_plus3 = E4_p * ((eye(10) - (n_pluss3' * n_pluss3)/(n_pluss3 * n_pluss3')));

L_map3 = proj_plus3 * proj_minus3;

%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%
EandN4m = [E4_m;
            n_minus4];
        
proj_minus4 = (eye(10) - (n_minus4' * m_4)/(n_minus4 * m_4')) * inv(EandN4m) * [eye(9);zeros(1,9)];
% relabel = x......;
[H1, H2] = impact_velocities(state_vect2(size(state_vect2,1), 1), state_vect2(size(state_vect2,1), 2), state_vect2(size(state_vect2,1), 3), state_vect2(size(state_vect2,1), 4), state_vect2(size(state_vect2,1), 5));
vels =(H1 \ H2 );% * state_vect2(size(state_vect2,1), 6:10)';

dF = [1 1 1 1 1 0 0 0 0 0;
       0 0 0 0 -1 0 0 0 0 0;
       0 0 0 -1 0 0 0 0 0 0;
       0 0 -1 0 0 0 0 0 0 0;
       0 -1 0 0 0 0 0 0 0 0;
       0 0 0 0 0 sum(vels(:,1)) sum(vels(:,2)) sum(vels(:,3)) sum(vels(:,4)) sum(vels(:,5));
       0 0 0 0 0 -vels(5,1) -vels(5,2) -vels(5,3) -vels(5,4) -vels(5,5);
       0 0 0 0 0 -vels(4,1) -vels(4,2) -vels(4,3) -vels(4,4) -vels(4,5);
       0 0 0 0 0 -vels(3,1) -vels(3,2) -vels(3,3) -vels(3,4) -vels(3,5);
       0 0 0 0 0 -vels(2,1) -vels(2,2) -vels(2,3) -vels(2,4) -vels(2,5)] ;


proj_plus4 = E1_p * ((eye(10) - (n_pluss4' * n_pluss4)/(n_pluss4 * n_pluss4')));

L_map4 = proj_plus4 * dF * proj_minus4;

%%%%%%%%%%%%%%%%%%%%%%%%%%









